﻿namespace DotNetReleaser;

public enum TableBorderKind
{
    /// <summary>Gets an invisible border.</summary>
    None,
    /// <summary>Gets an ASCII border.</summary>
    Ascii,
    /// <summary>Gets an ASCII border.</summary>
    Ascii2,
    /// <summary>Gets an ASCII border with a double header border.</summary>
    AsciiDoubleHead,
    /// <summary>Gets a square border.</summary>
    Square,
    /// <summary>Gets a rounded border.</summary>
    Rounded,
    /// <summary>Gets a minimal border.</summary>
    Minimal,
    /// <summary>Gets a minimal border with a heavy head.</summary>
    MinimalHeavyHead,
    /// <summary>Gets a minimal border with a double header border.</summary>
    MinimalDoubleHead,
    /// <summary>Gets a simple border.</summary>
    Simple,
    /// <summary>Gets a simple border with heavy lines.</summary>
    SimpleHeavy,
    /// <summary>Gets a horizontal border.</summary>
    Horizontal,
    /// <summary>Gets a heavy border.</summary>
    Heavy,
    /// <summary>Gets a border with a heavy edge.</summary>
    HeavyEdge,
    /// <summary>Gets a border with a heavy header.</summary>
    HeavyHead,
    /// <summary>Gets a double border.</summary>
    Double,
    /// <summary>Gets a border with a double edge.</summary>
    DoubleEdge,
    /// <summary>Gets a markdown border.</summary>
    Markdown,
}